EDIT - bug #9963

IndexOutOfBoundsException when moving a taxonnode or move an accepted taxon into synonymy
03/02/2022 01:30 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.30

Severity: normal Found in Version:

Description

mail Nadja Korotkova:

ein neuer Bug der schnell behoben werden sollte, vielleicht wurde das auch schon gemeldet. Nach dem Verschieben eines Taxon
kommt diese Fehlermeldung und der komplette Baum klappt ein.

..., auch wenn man Taxon von accepted zu Synonym andert.

last remote method : http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/taxonnode.service
last remote request client time : 2022-03-02T13:03:07.485
last remote request response header time : Wed, 02 Mar 2022 12:03:07 GMT
client error time : 2022-03-02T13:03:07.585
login : n.korotkova
editor version : 5.29.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryophyllales_spp
schema version : 5.29.0.0.20211122
os : Windows 10 10.0 amdé64
java : 1.8.0_121
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.IndexOutOfBoundsException: Ind
ex: 0, Size: 0)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplLa
uncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

at java.util.ArraylList.rangeCheck (ArrayList.java:657)

at java.util.ArrayList.get (ArrayList.java:433)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxon.TaxonNodeDaoHibernateImpl.getT
axonNodeDto (TaxonNodeDaoHibernateImpl. java:1186)

at eu.etaxonomy.cdm.api.service.TaxonNodeServiceImpl.dto (TaxonNodeServiceImpl. java

:283)

at sun.reflect.GeneratedMethodAccessor37764.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtil
s.java:333)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Re
flectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWit
hInvocation (TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWith
inTransaction (TransactionAspectSupport. java:283)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (Trans
actionInterceptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:213)

at com.sun.proxy.S$SProxy787.dto (Unknown Source)

at sun.reflect.GeneratedMethodAccessor37764.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtil
s.java:333)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Re
flectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:157)

at org.springframework.remoting.support.RemoteInvocationTracelInterceptor.invoke (Re
moteInvocationTracelInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:213)

at com.sun.proxy.S$SProxyl265.dto (Unknown Source)

at sun.reflect.GeneratedMethodAccessorl62364.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation.j
ava:212)

at eu.etaxonomy.cdm.api.remoting.DebuggingRemoteInvocationExecutor.invoke (Debuggin
gRemoteInvocationExecutor. java:52)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (Remot
eInvocationBasedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCre
ateResult (RemoteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleReque
st (HttpInvokerServiceExporter.java:80)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpReques
tHandlerAdapter. java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.
java:967)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.j
ava:901)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServle
celfPossible (RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (Remotelnvo
cationResult. java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemo
teInvocationResult (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:158)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.
java:213)

at com.sun.proxy.SProxy48.dto (Unknown Source)

at eu.etaxonomy.taxeditor.util.TaxonTreeNodeContentProvider.getParent (TaxonTreeNod
eContentProvider. java:86)

at org.eclipse.jface.viewers.AbstractTreeViewer.getParentElement (AbstractTreeViewe
r.java:1704)

at org.eclipse.jface.viewers.TreeViewer.getParentElement (TreeViewer.java:558)

at org.eclipse.jface.viewers.AbstractTreeViewer.internalExpand (AbstractTreeViewer.
java:1631)

at org.eclipse.jface.viewers.AbstractTreeViewer.setExpandedElements (AbstractTreeVi
ewer.java:2410)

at eu.etaxonomy.taxeditor.navigation.navigator.ed4.TaxonNavigatorE4.onChange (TaxonN
avigatorE4. java:544)

at eu.etaxonomy.taxeditor.store.CdmUIDataChangeService$2.run (CdmUIDataChangeServic
e.java:44)

at org.eclipse.swt.widgets.Synchronizer.syncExec (Synchronizer. java:233)

at org.eclipse.ui.internal.UISynchronizer.syncExec (UISynchronizer.java:145)

at org.eclipse.swt.widgets.Display.syncExec (Display.java:4821)

at eu.etaxonomy.taxeditor.store.CdmUIDataChangeService.fireChangeEvent (CdmUIDataCh
angeService. java:41)

at eu.etaxonomy.taxeditor.operation.CdmOperation.fireDataChangeEvent (CdmOperation.
java:70)

at eu.etaxonomy.taxeditor.operation.CdmUpdateOperation.postExecute (CdmUpdateOperat
ion.java:78)

at eu.etaxonomy.taxeditor.operation.CdmOperation.execute (CdmOperation. java:51)

at eu.etaxonomy.taxeditor.model.AbstractUtility.lambda$3 (AbstractUtility. java:200)

at org.eclipse.ui.internal.UILockListener.doPendingWork (UILockListener.java:162)

at org.eclipse.ui.internal.UISynchronizer$3.run (UISynchronizer. java:154)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

23 more

Associated revisions

Revision e42e63e1 - 03/02/2022 01:33 PM - Katja Luther
ref #9963: return null, if list is empty

History

#1 - 03/02/2022 01:31 PM - Katja Luther
- Tags set to 5.30

- Category set to cdmlib

- Assignee set to Katja Luther

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.45

#2 - 03/02/2022 02:06 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review.

#3 - 03/03/2022 01:44 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 0 to 100
Seems to work as expected.

#4 - 03/03/2022 02:28 PM - Andreas Miuller

- Target version changed from Release 5.45 to Release 5.30

#5 - 03/04/2022 03:41 PM - Andreas Miiller
- Tags deleted (5.30)
